<script setup lang="ts">
import { useMenuStore } from '@/stores/menu'

const menuStore = useMenuStore()

defineProps({
  id: {
    type: String,
    required: true,
  },
})
</script>

<template>
  <div v-show="menuStore.id == id" class="menu"
    :style="{top: menuStore.pos.top, bottom: menuStore.pos.bottom, left: menuStore.pos.left, right: menuStore.pos.right}">
    <slot />
  </div>
</template>

<style>
.menu {
  position: absolute;
  z-index: 15;
}
</style>

